# Uses of Interface
org.gitana.platform.client.principal.DomainUser

Packages that use DomainUser
Package
Description
org.gitana.platform.client
org.gitana.platform.client.application
org.gitana.platform.client.domain
org.gitana.platform.client.node.type
org.gitana.platform.client.platform
org.gitana.platform.client.principal

## Uses of DomainUser in org.gitana.platform.client

Methods in org.gitana.platform.client with parameters of type DomainUser
Modifier and Type
Method
Description
`Platform`
Gitana.`authenticate(DomainUser user, String password)`
Authenticates as the given domain user.
`Platform`
Gitana.`authenticate(DomainUser user, String password, ConnectOptions connectOptions)`
`Platform`
Gitana.`authenticateOnTenant(DomainUser user, String password, String tenantId)`
Authenticates the user's identity using a domain user that belongs to a domain on the given tenant.
`Platform`
Gitana.`authenticateOnTenant(DomainUser user, String password, Tenant tenant)`
Authenticates the user's identity using a domain user that belongs to a domain on the given tenant.

## Uses of DomainUser in org.gitana.platform.client.application

Methods in org.gitana.platform.client.application that return DomainUser
Modifier and Type
Method
Description
`DomainUser`
Email.`getToDomainUser()`
`DomainUser`
EmailImpl.`getToDomainUser()`
Methods in org.gitana.platform.client.application with parameters of type DomainUser
Modifier and Type
Method
Description
`Email`
Application.`createEmail(DomainUser to, String subject, String body, String fromEmailAddress)`
`Email`
Application.`createEmail(DomainUser to, String subject, String body, String fromEmailAddress, String ccEmailAddresses, String bccEmailAddresses)`
`Email`
Application.`createEmail(DomainUser to, String subject, Node node, String attachmentId, String fromEmailAddress)`
`Email`
Application.`createEmail(DomainUser to, String subject, Node node, String attachmentId, String fromEmailAddress, String ccEmailAddresses, String bccEmailAddresses)`
`Email`
ApplicationImpl.`createEmail(DomainUser to, String subject, String body, String fromEmailAddress)`
`Email`
ApplicationImpl.`createEmail(DomainUser to, String subject, String body, String fromEmailAddress, String ccEmailAddresses, String bccEmailAddresses)`
`Email`
ApplicationImpl.`createEmail(DomainUser to, String subject, Node node, String attachmentId, String fromEmailAddress)`
`Email`
ApplicationImpl.`createEmail(DomainUser to, String subject, Node node, String attachmentId, String fromEmailAddress, String ccEmailAddresses, String bccEmailAddresses)`
`void`
Email.`setToDomainUser(DomainUser user)`
`void`
EmailImpl.`setToDomainUser(DomainUser user)`

## Uses of DomainUser in org.gitana.platform.client.domain

Methods in org.gitana.platform.client.domain that return DomainUser
Modifier and Type
Method
Description
`DomainUser`
Domain.`createUser(String name, String password)`
`DomainUser`
DomainImpl.`createUser(String name, String password)`
`DomainUser`
Domain.`inviteUser(DomainUser invitee)`
`DomainUser`
DomainImpl.`inviteUser(DomainUser invitee)`
Methods in org.gitana.platform.client.domain that return types with arguments of type DomainUser
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<DomainUser>`
Domain.`listUsers()`
`org.gitana.platform.support.ResultMap<DomainUser>`
Domain.`listUsers(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DomainUser>`
DomainImpl.`listUsers()`
`org.gitana.platform.support.ResultMap<DomainUser>`
DomainImpl.`listUsers(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DomainUser>`
Domain.`queryUsers(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<DomainUser>`
Domain.`queryUsers(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DomainUser>`
DomainImpl.`queryUsers(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<DomainUser>`
DomainImpl.`queryUsers(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
Methods in org.gitana.platform.client.domain with parameters of type DomainUser
Modifier and Type
Method
Description
`DomainUser`
Domain.`inviteUser(DomainUser invitee)`
`DomainUser`
DomainImpl.`inviteUser(DomainUser invitee)`

## Uses of DomainUser in org.gitana.platform.client.node.type

Methods in org.gitana.platform.client.node.type that return DomainUser
Modifier and Type
Method
Description
`DomainUser`
Person.`getDomainUser()`
`DomainUser`
PersonImpl.`getDomainUser()`

## Uses of DomainUser in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform with parameters of type DomainUser
Modifier and Type
Method
Description
`AuthenticationGrant`
Platform.`createAuthenticationGrant(Client client, DomainUser user)`
`AuthenticationGrant`
PlatformImpl.`createAuthenticationGrant(Client client, DomainUser user)`

## Uses of DomainUser in org.gitana.platform.client.principal

Classes in org.gitana.platform.client.principal that implement DomainUser
Modifier and Type
Class
Description
`class`
`DomainUserImpl`